-record(where_any_of_sub_query, {
    value_a :: cake@internal@read_query:where_value(),
    operator :: cake@internal@read_query:where_comparison_operator(),
    'query' :: cake@internal@read_query:read_query()
}).
